Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wfs.operation
Class Lock

    java.lang.Object
      org.deegree.ogcwebservices.wfs.operation.Lock

    public class Lock

extends Object

Represents a `wfs:Lock` element (usually part of `wfs:LockFeature` documents).

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Markus Schneider, last edited by: $Author: mschneider $

Constructor Summary
`Lock(String handle, QualifiedName typeName, Filter filter)` Creates a new `Lock` instance from the given parameters.

Method Summary
`Filter` | `getFilter()` Returns the filter that is used to select the `Feature` instances for locking.
`String` | `getHandle()` Returns the lock's handle.
`QualifiedName` | `getTypeName()` Returns the name of the `FeatureType` that is affected by this lock.
`void` | `guessMissingNamespaces(WFService wfs)` Adds missing namespaces in the names of targeted feature types.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Lock

    public Lock(String handle,
                QualifiedName typeName,
                Filter filter)

  Creates a new `Lock` instance from the given parameters.

  Parameters:
    `handle` -
    `typeName` -
    `filter` -

Method Detail

### getHandle

    public String getHandle()

  Returns the lock's handle.

  Returns:
    the lock's handle (may be null)

### getTypeName

    public QualifiedName getTypeName()

  Returns the name of the `FeatureType` that is affected by this lock.

  Returns:
    the name of the `FeatureType` (never null)

### getFilter

    public Filter getFilter()

  Returns the filter that is used to select the `Feature` instances for locking.

  Returns:
    the filter that is used to select the `Feature`instances (may be null)``

### guessMissingNamespaces

    public void guessMissingNamespaces(WFService wfs)

  Adds missing namespaces in the names of targeted feature types.

  If the `QualifiedName` of a targeted type has a null namespace, the first qualified feature type name of the given `WFService` with the same local name is used instead.

  Note: The method changes this request part (the feature type names) and should only be called by the `WFSHandler` class.

  Parameters:
    `wfs` - `WFService` instance that is used for the lookup of proper (qualified) feature type names

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org